# MARVALOUS: Machine Learning Based Detection of Emotions in the Valence-Arousal Space in So ware Engineering Text

# How to use the tool?
- Download marvalous_tool and data folder.
- We have created two MarValous models. 
- **marvalous_70_perc.pkl**: This model is trained with 70% of Gold standard data to evaluate its performance using the remaining 30% gold standard dataset.
- **marvalous.pkl**: This model is trained with 100% of Gold standard data to evaluate its performance using completely new and unseen dataset.


## To use the model trained with 70% data, Follow the following steps:
- Execute command ```python run_marvalous.py```
- The tool will prompt for the following actions: 1. Evaluate. 2. Predict.
- User can choose 1 to evaluate the tool on labelled dataset provided in Data directory: "data/test_30_perc/test.xlsx".
- User can choose 2 to predict the label with the tool on dataset provided in Data directory: "data/test_30_perc/test.xlsx".
- The predicted label will be written in a file "data/test_30_perc/test_predicted_val.xlsx".
- To evaluate the tool with other dataset, user should open the run_marvalous.py on editor.
- Change the test_filepath directory with user provided filename.
- User provided file must be of ".XLSX" extension.
- Check the file "data/test_30_perc/test.xlsx" for input data format.

## To use the model trained with 100% data, Follow the following steps:
- Open run_marvalous.py script on editor.
- Find out the following code segment: 
```
marvalous_pickle_filepath = os.path.join(dest, marvalous_70_perc_pickle_filename)
```
- Replace ```marvalous_70_perc_pickle_filename``` with ```marvalous_pickle_filename```
- Follow the same steps as for model trained with 70% data. 
